Skip to content

Lists merchants

Request

GET {{baseURL}}/pay-api/v1/merchants

This endpoint lists merchants associated with the authenticated partner (ISV).

The following query parameters are search filters used to specify the retuurned results.

See Also:
To list merchant API keys, see GET /pay-api/v1/merchants/tokens.
To create a merchant API key, see POST /pay-api/v1/merchants/tokens.
To revoke a merchant API key, see DELETE /pay-api/v1/merchants/tokens/{clientId}.

Security
Bearer
Query
pageinteger, (int32)

Specifies the page number of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

Default:0
pageSizeinteger, (int32)

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Example: 50

Default:15
orderBystring

Specifies the field the results get ordered by.

The sort order is specified by the asc value.

Example: contactName

ascboolean

Specifies the sort order is ascending.

The sort field is specified by the orderBy value.

If true, the sort order is ascending.
If false, the sort order is descending.

Example: true

Default:true
searchstring

Specifies the search string.

This performs a case insensitive, matching, or partially matching search.

Fields does not have to be specified. If the results are to be sorted, the field orderby to specify the sort field.

Example:search=Peppared
mccCodeIdinteger, (int32)

Example: 28

Example:mccCodeId=28
statusIdinteger, (int32)

Merchant status filter.

createdFromstring, (date-time)

Specifies the earliest inclusive created date (in an ISO 8601 date-time UTC format).

This value may be paired with the field createdTo to form an inclusive range.

Example:createdFrom=2026-02-19T20:24:52.934Z
createdTostring, (date-time)

Specifies the latest inclusive created date (in an ISO 8601 date-time UTC format).

This value may be paired with the field createdFrom to form an inclusive range.

Example:createdTo=2026-03-06T14:24:52.934Z
modifiedFromstring, (date-time)

Specifies the earliest inclusive modified date (in an ISO 8601 date-time UTC format).

This value may be paired with the field modifiedTo to form an inclusive range.

Example:modifiedFrom=2026-02-19T20:24:52.934Z
modifiedTostring, (date-time)

Specifies the latest inclusive modified date (in an ISO 8601 date-time UTC format).

This value may be paired with the field modifiedFrom to form an inclusive range.

Example:modifiedTo=2026-03-06T14:24:52.934Z
lastTransactionDateFromstring, (date-time)

Specifies the earliest inclusive transaction date (in an ISO 8601 date-time UTC format).

This value may be paired with the field lastTransactionDateTo to form an inclusive range.

Example:lastTransactionDateFrom=2026-02-19T20:24:52.934Z
lastTransactionDateTostring, (date-time)

Specifies the latest inclusive transaction date (in an ISO 8601 date-time UTC format).

This value may be paired with the field lastTransactionDateFrom to form an inclusive range.

Example:lastTransactionDateTo=2026-03-06T14:24:52.934Z
curl -i -X GET \
  'https://developer.flute.com/_mock/api-reference/pay-api/v1/merchants?page=0&pageSize=15&orderBy=string&asc=true&search=Peppared&mccCodeId=28&statusId=0&createdFrom=2026-02-19T20%3A24%3A52.934Z&createdTo=2026-03-06T14%3A24%3A52.934Z&modifiedFrom=2026-02-19T20%3A24%3A52.934Z&modifiedTo=2026-03-06T14%3A24%3A52.934Z&lastTransactionDateFrom=2026-02-19T20%3A24%3A52.934Z&lastTransactionDateTo=2026-03-06T14%3A24%3A52.934Z' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful response.

Bodyapplication/json
itemsArray of objectsrequired

Indicates an object array for the returned merchant list.

totalinteger, (int32)required

Indicates the total number of merchants found.

Example: 4

Example:4
Response
{ "items": [ { "merchantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "companyName": "Peppared Street Cafe" } ], "total": 1 }